'****************************************************************
'*       _____   .__                    .___                    *
'*      /     \  |__|  ____ _____     __| _/ ____  ___  ___     *
'*     /  \ /  \ |  | / ___\\__  \   / __ |_/ __ \ \  \/  /     *
'*    /    Y    \|  |/ /_/  >/ __ \_/ /_/ |\  ___/  >    <      *
'*    \____|__  /|__|\___  /(____  /\____ | \___  >/__/\_ \     *
'*            \/    /_____/      \/      \/     \/       \/     *
'****************************************************************
'*  Name    : BOARD_INIT.BAS                                    *
'*  Author  : Gabriel-Florin Mihaila                            *
'*  Notice  : Copyright (c) 2009 Migadex Com 2011               *
'*          : All Rights Reserved                               *
'*  Date    : 04/07/2009                                        *
'*  Version : 0.1                                               *
'*  Notes   : Initializare board MMB Mikroe TFT 18F87J50        *
'*          :                                                   *
'****************************************************************
Device 18F87J10       ; aici se schimba pentru MMB cu 87J50 ***
Xtal = 40             ; pentru configuratia de mai jos asta o sa fie valoarea internal clock

;==============================================================================
' PIC Configuration Fuses
;==============================================================================
Config_Start
; Background Debugger Enable bit:
;DEBUG = ON		; Background debugger enabled; RB6 and RB7 are dedicated to In-Circuit Debug
Debug = OFF		; Background debugger disabled; RB6 and RB7 configured as general purpose I/O pins
; Extended Instruction Set Enable bit:
XINST = OFF		; Instruction set extension and Indexed Addressing mode disabled (Legacy mode)
;XINST = ON		; Instruction set extension and Indexed Addressing mode enabled
; Stack Overflow/Underflow Reset Enable bit:
STVREN = OFF		; Reset on stack overflow/underflow disabled
;STVREN = ON		; Reset on stack overflow/underflow enabled
; Watchdog Timer Enable bit:
WDTEN = OFF		; WDT disabled (control is placed on SWDTEN bit)
;WDTEN = ON		; WDT enabled
; Code Protection bit:
;CP0 = ON		; Program memory is code-protected
CP0 = OFF		; Program memory is not code-protected
; Fail-Safe Clock Monitor Enable bit:
FCMEN = OFF		; Fail-Safe Clock Monitor disabled
'FCMEN = On		; Fail-Safe Clock Monitor enabled
; Two-Speed Start-up (Internal/External Oscillator Switchover) Control bit:
IESO = OFF		; Two-Speed Start-up disabled
'IESO = On		; Two-Speed Start-up enabled
; Default/Reset System Clock Select bit:
'FOSC2 = OFF		; INTRC enabled as system clock when OSCCON<1:0> = 00
FOSC2 = On		; Clock selected by FOSC1:FOSC0 as system clock is enabled when OSCCON<1:0> = 00
; Oscillator Selection bits:
;FOSC = HS		; HS oscillator
FOSC = HSPLL		; HS oscillator, PLL enabled and under software control
;FOSC = EC		; EC oscillator, CLKO function on OSC2
;FOSC = ECPLL		; EC oscillator, PLL enabled and under software control, CLK function on OSC2
; Watchdog Timer Postscaler Select bits:
;WDTPS = 1		; 1:1
;WDTPS = 2		; 1:2
;WDTPS = 4		; 1:4
;WDTPS = 8		; 1:8
;WDTPS = 16		; 1:16
;WDTPS = 32		; 1:32
;WDTPS = 64		; 1:64
;WDTPS = 128		; 1:128
WDTPS = 256		; 1:256
;WDTPS = 512		; 1:512
;WDTPS = 1024		; 1:1024
;WDTPS = 2048		; 1:2048
;WDTPS = 4096		; 1:4096
;WDTPS = 8192		; 1:8192
;WDTPS = 16384		; 1:16384
;WDTPS = 32768		; 1:32768
; External Bus Wait Enable bit:
;WAIT = ON		; Wait states for operations on external memory bus enabled
Wait = OFF		; Wait states for operations on external memory bus disabled
; Data Bus Width Select bit:
BW = 8		; 8-bit external bus mode
;BW = 16		; 16-bit external bus mode
; Processor Mode Selection:
;MODE = XM20		; Extended Microcontroller mode - 20-bit Address mode
;MODE = XM16		; Extended Microcontroller mode - 16-bit Address mode
;MODE = XM12		; Extended Microcontroller mode - 12-bit Address mode
MODE = MM		; Microcontroller mode - External bus disabled
; External Address Bus Shift Enable bit:
EASHFT = OFF		; Address shifting disabled, address on external bus reflects the PC value
;EASHFT = ON		; Address shifting enabled, address on external bus is offset to start at 000000h
; ECCPx MUX bit:
;ECCPMX = ALTERNATE		; ECCP1 outputs (P1B/P1C) are multiplexed with RH7 and RH6; ECCP3 outputs (P3B/P3C) are multiplexed with RH5 and RH4
ECCPMX = DEFAULT		; ECCP1 outputs (P1B/P1C) are multiplexed with RE6 and RE5; ECCP3 outputs (P3B/P3C) are multiplexed with RE4 and RE3
; ECCP2 MUX bit:
;CCP2MX = ALTERNATE		; ECCP2/P2A is multiplexed with RE7 in Microcontroller mode or with RB3 in Extended Microcontroller mode
CCP2MX = DEFAULT		; ECCP2/P2A is multiplexed with RC1
Config_End		


 
  OSCTUNE.6 = 1
  DelayMS 20



;==============================================================================
; Board native periferrals declares
;==============================================================================
; TFT HX8347 Display
  Symbol LCD_RST_PIN           LATH.4
  Symbol LCD_RD_PIN            LATE.0
  Symbol LCD_WR_PIN            LATE.1
  Symbol LCD_RS_PIN            LATH.6
  Symbol LCD_CS_PIN            LATG.3
  Symbol LCD_DATA_PORT         LATD













